Subject: bug#71123: [PATCH] Rename `subr-native-elisp` to `native-comp-function`

From: Andrea Corallo <[email-masked]>
Date: Sat, 25 May 2024 03:16:38 -0400

Stefan Monnier <[email-masked]> writes:

>> On the patch itself I've three comments:
>>
>> - If we go for it, shouldn't we rename SUBR_NATIVE_COMPILEDP and
>>   SUBR_NATIVE_COMPILED_DYNP macros as well for consistency?
>
> No opinion on this.  Eli?

Sorry I realize I formulated the phrase a bit unclear, my opinion FWIW
is that we should rename those.

>> - The patch introduces a number of warnings in: help-fns.el, subr.el,
>>   bytecomp.el, comp.el, comp-common.el.
>> - It's also introducing a fail in lisp/help-fns-tests.log
>
> AFAIK these were fixed by the second patch.
> Do you still see them after installing the two patches?

I've installed the second version of your patch, isn't this a
replacement for the first?

  Andrea